ランタイム: Mix::Memory Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
Mix::Memory Namespace Reference

メモリ More...

## Classes

class | IBuffer
| バッファインターフェース More...
struct | SECTION_INFO
| セクション情報構造体 More...
class | STLAllocator
| STL アロケータテンプレートクラス More...

## Typedefs

template<typename T >
using | STLDefaultAllocator = STLAllocator< Mix::Memory::SECTION_USER, T >
| STL のデフォルトアロケータ More...

## Enumerations

enum | SECTION_TYPE { SECTION_GENERAL = 0, SECTION_GRAPHICS = 1, SECTION_SOUND = 2, SECTION_DYNAMICS = 3, SECTION_SCENE = 4, SECTION_USER = 5 }
| セクションタイプ列挙定数 More...

## Functions

_MIX_DLL_API Mix::Memory::SECTION_INFO | GetSectionInfo (UInt16 section)
| セクションの情報を取得します More...
_MIX_DLL_API void * | Allocate (UInt16 section, UIntT size, const wchar_t *pSrcFile, Int32 srcLine)
| メモリを確保します More...
_MIX_DLL_API void * | AllocateAligned (UInt16 section, UInt16 alignment, UIntT size, const wchar_t *pSrcFile, Int32 srcLine)
| メモリを確保します More...
_MIX_DLL_API void * | Reallocate (void *ptr, UIntT size, const wchar_t *pSrcFile, Int32 srcLine)
| メモリを再確保します More...
_MIX_DLL_API void | Free (void *ptr, const wchar_t *pSrcFile, Int32 srcLine)
| メモリを解放します More...
_MIX_DLL_API void | Copy (void *dst, const void *src, UIntT size)
| メモリをコピーします More...
_MIX_DLL_API void | Fill (void *ptr, UIntT size, UInt8 fill)
| メモリ全体に指定した値を書き込みます More...
_MIX_DLL_API void | Zero (void *ptr, UIntT size)
| メモリ全体に 0 を書き込みます More...
_MIX_DLL_API Boolean | CreateBuffer (UInt16 section, UIntT size, const void *pInitialData, Mix::Memory::IBuffer **ppBuffer)
| バッファを作成します More...

## Detailed Description

メモリ

## Typedef Documentation

template<typename T >

using Mix::Memory::STLDefaultAllocator = typedef STLAllocator<Mix::Memory::SECTION_USER, T>

STL のデフォルトアロケータ

Template Parameters

  T | メモリを確保するインスタンスの型

## Enumeration Type Documentation

enum Mix::Memory::SECTION_TYPE

セクションタイプ列挙定数

Enumerator
SECTION_GENERAL | 全般
SECTION_GRAPHICS | グラフィックス
SECTION_SOUND | サウンド
SECTION_DYNAMICS | ダイナミクス
SECTION_SCENE | シーン
SECTION_USER | ユーザー

## Function Documentation

_MIX_DLL_API Mix::Memory::SECTION_INFO Mix::Memory::GetSectionInfo | ( | UInt16 | section | ) |

セクションの情報を取得します

Parameters

  section | セクション

Returns
  セクションの情報を表す Mix::Memory::SECTION_INFO 構造体を返します

_MIX_DLL_API void* Mix::Memory::Allocate | ( | UInt16 | section,
|  | UIntT | size,
|  | const wchar_t * | pSrcFile,
|  | Int32 | srcLine
| ) |  |

メモリを確保します

Parameters

  [in] | section | セクション
  [in] | size | 確保するメモリのサイズ
  [in] | pSrcFile | メモリを確保したソースファイルのパス( FILEW )
  [in] | srcLine | メモリを確保したソースファイルの行( LINE )

Returns
  確保したメモリのポインタを返します

Note
  バッファなどのメモリを確保する際は MIX_MALLOC または MIX_DEBUG_MALLOC を使用し、解放は MIX_FREE を使用してください。
  また、インスタンスの初期化は、MIX_NEW または MIX_DEBUG_NEW を使用し、解放は MIX_DELETE MIX_DELETE_ARRAY MIX_DELETE_THIS を使用してください。

_MIX_DLL_API void* Mix::Memory::AllocateAligned | ( | UInt16 | section,
|  | UInt16 | alignment,
|  | UIntT | size,
|  | const wchar_t * | pSrcFile,
|  | Int32 | srcLine
| ) |  |

メモリを確保します

Parameters

  [in] | section | セクション
  [in] | alignment | 確保するメモリのアラインメント( バイト単位 )
  [in] | size | 確保するメモリのサイズ( バイト単位 )
  [in] | pSrcFile | メモリを確保したソースファイルのパス( FILEW )
  [in] | srcLine | メモリを確保したソースファイルの行( LINE )

Returns
  確保したメモリのポインタを返します

_MIX_DLL_API void* Mix::Memory::Reallocate | ( | void * | ptr,
|  | UIntT | size,
|  | const wchar_t * | pSrcFile,
|  | Int32 | srcLine
| ) |  |

メモリを再確保します

Parameters

  [in] | ptr | 再確保するメモリのポインタ
  [in] | size | 再確保するサイズ
  [in] | pSrcFile | メモリを確保したソースファイルのパス( FILEW )
  [in] | srcLine | メモリを確保したソースファイルの行( LINE )

Returns
  成功した場合は、再確保したメモリのポインタを返します

Note
  バッファなどのメモリの再確保をする際は MIX_REALLOC を使用してください。
  また、再確保に失敗した場合、指定した再確保しようとしているメモリ ( ptr ) は解放されません。
  Mix::Memory::Free ( MIX_FREE ) を使用して解放する必要があります。

_MIX_DLL_API void Mix::Memory::Free | ( | void * | ptr,
|  | const wchar_t * | pSrcFile,
|  | Int32 | srcLine
| ) |  |

メモリを解放します

Parameters

  [in] | ptr | 解放するメモリのポインタ
  [in] | pSrcFile | メモリを確保したソースファイルのパス( FILEW )
  [in] | srcLine | メモリを確保したソースファイルの行( LINE )

Note
  メモリの解放は MIX_FREE を使用してください。

_MIX_DLL_API void Mix::Memory::Copy | ( | void * | dst,
|  | const void * | src,
|  | UIntT | size
| ) |  |

メモリをコピーします

Parameters

  [in] | dst | コピー先のメモリのポインタ
  [in] | src | コピー元のメモリのポインタ
  [in] | size | コピーするサイズ

_MIX_DLL_API void Mix::Memory::Fill | ( | void * | ptr,
|  | UIntT | size,
|  | UInt8 | fill
| ) |  |

メモリ全体に指定した値を書き込みます

Parameters

  [in] | ptr | メモリのポインタ
  [in] | size | メモリのサイズ
  [in] | fill | メモリに書き込む値

_MIX_DLL_API void Mix::Memory::Zero | ( | void * | ptr,
|  | UIntT | size
| ) |  |

メモリ全体に 0 を書き込みます

Parameters

  [in] | ptr | メモリのポインタ
  [in] | size | メモリのサイズ

_MIX_DLL_API Boolean Mix::Memory::CreateBuffer | ( | UInt16 | section,
|  | UIntT | size,
|  | const void * | pInitialData,
|  | Mix::Memory::IBuffer ** | ppBuffer
| ) |  |

バッファを作成します

Parameters

  [in] | section | セクション
  [in] | size | バッファのサイズ
  [in] | pInitialData | バッファの初期データ( NULL指定可能 )
  [out] | ppBuffer | Mix::Memory::IBuffer インターフェースのポインタ